    
#include <ESP8266WiFi.h>
// #include <DHT11.h>
#include <SimpleDHT.h>

const char* ssid     = "MioSSID"; // Your ssid
const char* password = "MiaPass"; // Your Password

int pinDHT = 2;
int pinCtr = 0; 

WiFiServer server(80);

   // per DHT11
   SimpleDHT11 DHT; // Oggetto dht11
   byte temperature = 0;
   byte humidity = 0;


   //DHT11 dht11(pin);

double Fahrenheit(double celsius) {
return ((double)(9 / 5) * celsius) + 32;
}

double Kelvin(double celsius) {
return celsius + 273.15;
}

void setup() {
    Serial.begin(9600);
    delay(10);
    Serial.println();
    
    // Connect to WiFi network
    WiFi.mode(WIFI_STA);
    Serial.println();
    Serial.println();
    Serial.print("Connecting to ");
    Serial.println(ssid);
    
    WiFi.begin(ssid, password);
    
    while (WiFi.status() != WL_CONNECTED) {
        //delay(500);
        delay(125);  
        Serial.print(".");  
        digitalWrite(pinCtr, HIGH);  
        delay(125);  
        digitalWrite(pinCtr, LOW);  
    }
    Serial.println("");
    Serial.println("WiFi connected");

    // Start the server
    server.begin();
    Serial.println("Server started");
    
    // Print the IP address
    Serial.println(WiFi.localIP());
}

void loop() {
    int err;
    float temp, humi;
    digitalWrite(pinCtr, HIGH);  
    // per DHT11
    Serial.print ("DHT11read  ");
    err = DHT.read(pinDHT, &temperature, &humidity, NULL);  // Legge il sensore dht11
    temp =float(temperature);
    humi =float(humidity);

    if (err == 0)
    {
      Serial.print("temperatura:");
      Serial.print(temp);
      Serial.print(" umidità:");
      Serial.print(humi);
      Serial.println();
    }
    else
    {
      Serial.println();
      Serial.print("Error No :");
      Serial.print(err);
      Serial.println();
    }
    WiFiClient client = server.available();
    client.println("HTTP/1.1 200 OK");
    client.println("Content-Type: text/html");
    client.println("Connection: close");  // the connection will be closed after completion of the response
    client.println("Refresh: 5");  // refresh the page automatically every 5 sec
    client.println();
    client.println("<!DOCTYPE html>");
    client.println("<html xmlns='http://www.w3.org/1999/xhtml'>");
    client.println("<head>\n<meta charset='UTF-8'>");
    client.println("<title>ESP8266 Temperatura & Umidità DHT11 Sensor</title>");
    client.println("</head>\n<body>");
    client.println("<H2>ESP8266 & DHT11 Sensor</H2>");
    client.println("<H3>Umidità / Temperatura</H3>");
    client.println("<pre>");
    client.print("Umidità     (%)   : ");
    client.println((float)humi, 2);
    client.print("Temperatura (°C)  : ");
    client.println((float)temp, 2);
    client.print("Temperatura (°F)  : ");
    client.println(Fahrenheit(temp), 2);
    client.print("Temperatura (°K)  : ");
    client.println(Kelvin(temp), 2);
    client.println("</pre>");
    client.println("<H3>www.zappoco.altervista.org</H3>");
    client.print("</body>\n</html>");
    delay(1000);
    digitalWrite(pinCtr, LOW);  
    delay(10000); //delay for reread
}
